:root {
  --main-color: #4682b4;
  --black: rgb(23, 23, 23);
  --font-color: rgb(77, 77, 77);
}

@media screen and (max-width: 799px) {
  body {
    justify-content: center;
    align-items: center;
  }

  .container {
    font-size: 0.5rem;
    margin-bottom: 0;
  }

  .game-list {
    flex-direction: column;
    align-items: center;
    margin-top: 100px;

    background: linear-gradient(
        20deg,
        var(--main-color) 40%,
        rgba(0, 0, 0, 0) 33%
      ),
      linear-gradient(20deg, var(--main-color) 34%, #fff 34%);
  }

  .game-container {
    margin: 30px 0;
  }

  .game-name {
    background: linear-gradient(
        10deg,
        var(--main-color) 40%,
        rgba(0, 0, 0, 0) 33%
      ),
      linear-gradient(10deg, var(--main-color) 34%, #fff 34%);
  }
  .effect {
    font-size: 3rem;
  }
}
@media screen and (min-width: 800px) {
  body {
    justify-content: center;
    height: 100vh;
  }
  .game-list {
    padding: 4em;
    background: linear-gradient(
        110deg,
        var(--main-color) 40%,
        rgba(0, 0, 0, 0) 33%
      ),
      linear-gradient(110deg, var(--main-color) 34%, #fff 34%);
  }
  .game-name {
    background: linear-gradient(
        110deg,
        var(--main-color) 33%,
        rgba(0, 0, 0, 0) 33%
      ),
      linear-gradient(110deg, var(--main-color) 34%, #fff 34%);
  }
}

body {
  font-family: 'IBM Plex Sans KR', sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.container {
  text-align: center;
  margin-bottom: 3em;
}

.effect {
  color: var(--font-color);
  margin-top: 50px;
  font-size: 4rem;
  text-transform: uppercase;
  letter-spacing: 0.1em;
}

.game-list {
  display: flex;
  justify-content: center;
  margin-top: 30px;
  gap: 1rem;
  font-size: 0.85em;
  width: 100vw;
  box-sizing: border-box;

  background-size: 400%;
  animation: Gradient 2s ease infinite;
  -webkit-animation: Gradient 5s ease infinite;
  -moz-animation: Gradient 5s ease infinite;
}

.game-container {
  text-align: center;
  cursor: pointer;
  border-radius: 10px;
  box-shadow: 0 10px 20px -5px rgba(0, 0, 0, 0.469);
  margin: 0 30px;
  width: 200px;
  height: 200px;

  position: relative;
  transform-style: preserve-3d;
  transition: all 1s ease;

  background-size: 400% 400%;
  background-position: 25% 50%;
  -webkit-animation: Gradient 15s ease infinite;
  -moz-animation: Gradient 5s ease infinite;
}

.game-container:hover .game-name {
  opacity: 0;
}
.game-gif,
.game-back {
  width: 100%;
  height: 100%;
  position: absolute;
  pointer-events: none;
  border-radius: 10px;
}

.mine,
.color,
.card {
  background-size: cover;
  background-position-x: center;
  transform: scaleX(-1);
}
.mine {
  background-image: url(../images/minesweeper.gif);
}

.color {
  background-image: url(../images/colorguess.gif);
}

.card {
  background-image: url(../images/card_ani.gif);
}

.game-back {
  background-color: var(--black);
  backface-visibility: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid var(--black);
  border-radius: 10px;
}

.game-name {
  transition: all 0.8s ease;
  font-size: 3em;
  text-transform: uppercase;
  font-weight: 900;

  background-size: 400%;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;

  animation: Gradient 5s ease infinite;
  -webkit-animation: Gradient 5s ease infinite;
  -moz-animation: Gradient 5s ease infinite;
}

@-webkit-keyframes Gradient {
  0% {
    background-position: 50% 50%;
  }
  50% {
    background-position: 20% 50%;
  }
  100% {
    background-position: 50% 50%;
  }
}
